Name:           linpsk
Version:        0.9
Release:        3%{?dist}
Summary:        Psk31 and RTTY program for Linux

Group:          Applications/Communications
License:        GPLv2+
URL:            http://linpsk.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
Source2:        %{name}.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  fftw-devel qt-devel alsa-lib-devel automake autoconf libtool
BuildRequires:  desktop-file-utils
#Requires:

%description
LinPsk is a program for operating on digital modes running on Linux.
LinPsk supports BPSK, QPSK and RTTY at the moment.
Main features are:
* the simultaneuos decoding of up to four channels.
* The different digital modes may be mixed
* You can define a trigger on each channel to be notified if a text of your 
  choice is detected.
* You can log each received channel at a file.
* For easy qso'ing you can define macros and for larger texts to be send you 
  can use two files.
* You can view the signal as spectrum or in a waterfall display. Both are 
  scalable in the frequency domain.
At the Moment RTTY only supports 45 baud and 1.5 stopbits. 

%prep
%setup -q -n %{name}
autoreconf

#fix permissions for debuginfo files
chmod 0644 $RPM_BUILD_DIR/%{name}/src/{rttydemodulator.cpp,cpskdemodulator.cpp,cpskdemodulator.h,rttydemodulator.h}

%build
unset QTDIR && . /etc/profile.d/qt.sh
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# no upstream .desktop or icon yet
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps/
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png
desktop-file-install --vendor="fedora" \
        --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}

#Remove development files
find $RPM_BUILD_ROOT -type f -name "*.a" -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS ChangeLog
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*%{name}.desktop

%changelog
* Thu Feb 28 2008 Robert 'Bob' Jensen <bob@bobjensen.com> 0.9-3
- Add .desktop and icon for GUI application
- Submit for review

* Thu Nov 22 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> 0.9-2
- Update License to GPLv2+
- Fix permissions for src files

* Thu Nov 22 2007 Robert 'Bob' Jensen <bob@bobjensen.com> 0.9-1
- Correct License

* Tue May 15 2007 Robert 'Bob' Jensen <bob@bobjensen.com> 0.9-0
- Initial RPM release

